=== debian/changelog ===
lua-term (0.07-2) unstable; urgency=medium

  * Team upload
  * Apply multi-arch hints. + lua-term: Add Multi-Arch: same
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Tue, 25 Nov 2025 16:28:18 +0100

lua-term (0.07-1) unstable; urgency=medium

  * set maintainer to lua-team
  * add lua5.4 support

 -- Victor Seva <vseva@debian.org>  Wed, 08 Dec 2021 20:16:10 +0100

lua-term (0.07-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * Add lua5.1 and lua5.3 support
  * Update Standards-Versions to 3.9.8, no changes needed

 -- Jason Pleau <jason@jpleau.ca>  Sat, 28 May 2016 14:09:47 -0400
