=== debian/control ===
Source: lua-term
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
 Aaron Zauner <azet@azet.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-lua,
Standards-Version: 4.6.0.1
Section: libs
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/lua-team/lua-term.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-term
Homepage: https://github.com/hoelzro/lua-term

Package: lua-term
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Multi-Arch: same
Description: Lua module for manipulating a terminal
 lua-term provides a library interface to facilitate
 terminal operations and manipulations in Lua.

Package: lua-term-dev
Section: libdevel
Architecture: any
Depends:
 lua-term (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: Lua module for manipulating a terminal
 This package provide the development headers and static
 libraries for lua-term. Terminal operations for Lua.
